How To Solve It? The File Dx.jar Was Not Loaded From The Sdk Folder

Discussion in 'Technical Discussion' started by igbig1, Jun 29, 2017.

Tags:
  1. igbig1

    igbig1 Boxer

    Joined:
    Jun 27, 2017
    Messages:
    52
    Likes Received:
    3
    Hi! I'm trying generate the game apk, but everytime I'm getting that issue '': the file dx.jar was not loaded from the SDK folder''. I am using Eclipse Neon 3, I have installed Java SE kit 8, Android SDK lastest version, Buildbox 2.2.8. I tried delete the dx file, I moved to other folder (plataform-tools), I cleaned project and I did the same of that video:

    When I run the program, say that an AVD was not detected... that is important?
    But doesn't work. Can you help me, please?
     
  2. jcalle

    jcalle Miniboss Boxer

    Joined:
    Sep 25, 2015
    Messages:
    1,174
    Likes Received:
    526
    Hello, welcome to the Buildbox forum, please see several tutorials before asking questions.

    https://www.buildbox.com/tutorials/
    https://www.buildbox.com/buildbox-1-tutorials/
    https://www.buildbox.com/guides/
    https://www.buildbox.com/manual/
    And very important, use the search engine.
    Follow the tutorials:
    http://buildbox.com/forum/index.php?threads/are-there-any-bb-code-helpers.482/#post-2893
    http://buildbox.com/forum/index.php...pse-java-and-android-sdk-video-tutorial.2794/

    UNINSTALL JAVA 1.8
    INSTALL ONLY JAVA JDK 1.7
     
    Christoph likes this.
  3. igbig1

    igbig1 Boxer

    Joined:
    Jun 27, 2017
    Messages:
    52
    Likes Received:
    3
    Hey, thank you for reply! I have that installed too...

    I have to uninstall that too and install ONLY the JDK 1.7? Is it?
     

    Attached Files:

  4. igbig1

    igbig1 Boxer

    Joined:
    Jun 27, 2017
    Messages:
    52
    Likes Received:
    3
    I'm getting that when I try run the Eclipse... I uninstalled the Java 8 that I showed in the printscreen
     

    Attached Files:

  5. igbig1

    igbig1 Boxer

    Joined:
    Jun 27, 2017
    Messages:
    52
    Likes Received:
    3
    Eclipse isn't working now... it say that JVM is incompatible
     
  6. jcalle

    jcalle Miniboss Boxer

    Joined:
    Sep 25, 2015
    Messages:
    1,174
    Likes Received:
    526
    Use the search engine and Google.
     
    Christoph likes this.
  7. igbig1

    igbig1 Boxer

    Joined:
    Jun 27, 2017
    Messages:
    52
    Likes Received:
    3
    I did it, its working the program, but not with the jdk 7... is with the same problem of the dx file
     
  8. jcalle

    jcalle Miniboss Boxer

    Joined:
    Sep 25, 2015
    Messages:
    1,174
    Likes Received:
    526
  9. igbig1

    igbig1 Boxer

    Joined:
    Jun 27, 2017
    Messages:
    52
    Likes Received:
    3
    I followed the tutorials, but I'm getting that now
    The resolutions that I saw on internet said to update to java 8 .-. the API that I check is 5.0.1, not 8
     

    Attached Files:

  10. igbig1

    igbig1 Boxer

    Joined:
    Jun 27, 2017
    Messages:
    52
    Likes Received:
    3
    Hey! I deleted the API 8 and have no more compiler error, but, when I try export, I getting Unsupported major.minor version 52.0 Error in Java
     
  11. igbig1

    igbig1 Boxer

    Joined:
    Jun 27, 2017
    Messages:
    52
    Likes Received:
    3
    I try everything, my compiler settings are right (1.7 checked), I searched on internet and all solutions I did and is correct, but I'm getting that error yet, can you help me? Is complicated to me
     
  12. igbig1

    igbig1 Boxer

    Joined:
    Jun 27, 2017
    Messages:
    52
    Likes Received:
    3
    I saw the instalations details of Eclipse and is all correct... is with JDK 1.7, the major.minor version ins 51 and not 52, but to be 52 I need java 1.8, but does not export with 1.8... omg
     
  13. jcalle

    jcalle Miniboss Boxer

    Joined:
    Sep 25, 2015
    Messages:
    1,174
    Likes Received:
    526
    UNINSTALL JAVA 1.8
    INSTALL ONLY JAVA SDK 1.7
    Delete the Eclipse folder and start over from the beginning, download Eclipse and Android SDK, try again.

    If you continue to have problems, PM to connect to your PC via Teamviewer.

    NOTE: If I connect to your computer, and if you do not followed the steps indicated in the manuals, or do not have the programs that I indicated, I am very sorry, but I will not install it, nor tell you what to do.
     
    Last edited: Nov 4, 2017
  14. igbig1

    igbig1 Boxer

    Joined:
    Jun 27, 2017
    Messages:
    52
    Likes Received:
    3
    I already did it since monday, I used Revo Uninstall to uninstall the programs completely, but is getting that... How can I talk with you to connect with my computer in teamviewer? What's PM?
     
  15. sharma.shivam

    sharma.shivam Avid Boxer

    Joined:
    Oct 23, 2016
    Messages:
    180
    Likes Received:
    10
    i am having the same issue
     
  16. sharma.shivam

    sharma.shivam Avid Boxer

    Joined:
    Oct 23, 2016
    Messages:
    180
    Likes Received:
    10
    @igbig1, hi i am using eclipse luna.
    i am sure i have jdk 1.7.how did you corrected
    Unsupported major.minor version 52.0. issue???
     
  17. jcalle

    jcalle Miniboss Boxer

    Joined:
    Sep 25, 2015
    Messages:
    1,174
    Likes Received:
    526
  18. igbig1

    igbig1 Boxer

    Joined:
    Jun 27, 2017
    Messages:
    52
    Likes Received:
    3
    D
    o what JCalle said. The problem is Java. Be sure if you have only jdk 7 in your pc
     
  19. ericrb1986

    ericrb1986 Boxer

    Joined:
    Jan 29, 2016
    Messages:
    4
    Likes Received:
    2
    I had that same "the file dx.jar was not loaded from the SDK folder" problem today. When I checked I did have the dx.jar file in the appropiate location. What I did was delete the v26 build tools through the Android SDK Manager. Restarted Eclipse, tried building and it worked. It seems its a problem with the newer build tools.

    So now I only have the v25 build tools and all the older ones too:
    https://imgur.com/a/7gNbT
     
    igbig1 likes this.
  20. creigelde

    creigelde Boxer

    Joined:
    Oct 29, 2019
    Messages:
    1
    Likes Received:
    0
    It is because of Java version mismatch. Unsupported major.minor version error happens when you compile your projects on higher version of java(e.g. jdk 1.8) and then run it on a lower version (e.g. jdk 1.7). Depending on your situation, you have two ways to resolve this error: compile your code for an earlier version of Java, or run your code on a newer Java version. Sometimes you may have more than one version of Java SDK installed in your machine. Make sure the application you are running is pointing to the right or highest version available . It is better you need to install both JRE/JDK with the same version.
     

Share This Page